name: 'Article management'
description: |-

  APIs for managing articles
endpoints:
  -
    httpMethods:
      - GET
    uri: api/v1/articles
    metadata:
      groupName: 'Article management'
      groupDescription: |-

        APIs for managing articles
      subgroup: ''
      subgroupDescription: ''
      title: 'Display a listing of the resource.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses:
      -
        status: 200
        content: '{"data":[{"id":null,"title":"Sit porro est rem quibusdam.","body":"no content","user":null},{"id":null,"title":"Ut sint repellat iusto qui.","body":"no content","user":null}],"links":{"first":"\/?page=1","last":"\/?page=1","prev":null,"next":null},"meta":{"current_page":1,"from":1,"last_page":1,"links":[{"url":null,"label":"&laquo; Previous","active":false},{"url":"\/?page=1","label":"1","active":true},{"url":null,"label":"Next &raquo;","active":false}],"path":"\/","per_page":8,"to":2,"total":2}}'
        headers: []
        description: ''
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - POST
    uri: api/v1/articles
    metadata:
      groupName: 'Article management'
      groupDescription: |-

        APIs for managing articles
      subgroup: ''
      subgroupDescription: ''
      title: 'Store a newly created resource in storage.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      title:
        name: title
        description: 'Title of the new article, must be min 3 characters max 255. Must be at least 3 characters. Must not be greater than 255 characters.'
        required: true
        example: 'Title new'
        type: string
        enumValues: []
        custom: []
      body:
        name: body
        description: 'Body of the new article, must be min 6 characters max 2000. Must be at least 6 characters. Must not be greater than 2000 characters.'
        required: true
        example: 'body for article'
        type: string
        enumValues: []
        custom: []
      user_id:
        name: user_id
        description: 'User id.'
        required: true
        example: ullam
        type: string
        enumValues: []
        custom: []
    cleanBodyParameters:
      title: 'Title new'
      body: 'body for article'
      user_id: ullam
    fileParameters: []
    responses:
      -
        status: 200
        content: '{"data":{"id":null,"title":"Atque in voluptatibus tempore accusantium totam autem.","body":"no content","user":null}}'
        headers: []
        description: ''
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - GET
    uri: 'api/v1/articles/{id}'
    metadata:
      groupName: 'Article management'
      groupDescription: |-

        APIs for managing articles
      subgroup: ''
      subgroupDescription: ''
      title: 'Get article by id.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters:
      id:
        name: id
        description: 'The ID of the article.'
        required: true
        example: 1
        type: integer
        enumValues: []
        custom: []
    cleanUrlParameters:
      id: 1
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses:
      -
        status: 200
        content: '{"data":{"id":1,"title":"Dolor laboriosam hic delectus veritatis natus.","body":"no content","user":{"id":"Dr. Joel Gerlach - yvette28@example.org"}}}'
        headers:
          cache-control: 'no-cache, private'
          content-type: application/json
          x-ratelimit-limit: '60'
          x-ratelimit-remaining: '59'
          access-control-allow-origin: '*'
        description: null
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - PUT
      - PATCH
    uri: 'api/v1/articles/{id}'
    metadata:
      groupName: 'Article management'
      groupDescription: |-

        APIs for managing articles
      subgroup: ''
      subgroupDescription: ''
      title: 'Update the specified resource in storage.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters:
      id:
        name: id
        description: 'The ID of the article.'
        required: true
        example: 1
        type: integer
        enumValues: []
        custom: []
    cleanUrlParameters:
      id: 1
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - DELETE
    uri: 'api/v1/articles/{id}'
    metadata:
      groupName: 'Article management'
      groupDescription: |-

        APIs for managing articles
      subgroup: ''
      subgroupDescription: ''
      title: 'Remove the specified resource from storage.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters:
      id:
        name: id
        description: 'The ID of the article.'
        required: true
        example: 1
        type: integer
        enumValues: []
        custom: []
    cleanUrlParameters:
      id: 1
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
